# tr1/utility File Reference

## Detailed Description

This is a TR1 C++ Library header.

Definition in file tr1/utility.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::tr1

## Classes

- struct std::tr1::__pair_get< 0 >
- struct std::tr1::__pair_get< 1 >
- struct std::tr1::tuple_element< 0, std::pair< _Tp1, _Tp2 > >
- struct std::tr1::tuple_element< 1, std::pair< _Tp1, _Tp2 > >
- struct std::tr1::tuple_size< std::pair< _Tp1, _Tp2 > >

## Defines

- #define _TR1_UTILITY

## Functions

- template<int _Int, class _Tp1, class _Tp2> const tuple_element< _Int,
  std::pair< _Tp1, _Tp2
  > >::type & std::tr1::get (const std::pair< _Tp1, _Tp2 > &__in)
- template<int _Int, class _Tp1, class _Tp2> tuple_element< _Int, std::pair<
  _Tp1, _Tp2 > >::type & std::tr1::get (std::pair< _Tp1, _Tp2 > &__in)